<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// CUSTOMIZE SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options              = array();


/**
 * Header
 */

$options[]            = array(
  'name'              => 'ep_header_options',
  'title'             => esc_html__('Header', 'wp-education'),
  'sections'          => array(
    array(
      'name'          => 'logo_section',
      'title'         => esc_html__('Logo settings', 'wp-education'),
      'settings'      => array(  
        array(
          'name'          => 'logo_top_space',
          'default'       => 18,
          'control'       => array(
            'type'        => 'cs_field',
            'options'     => array(
              'type'      => 'slider',
              'desc'      => esc_html__('Default 18 px.', 'wp-education'),
              'title'     => esc_html__('Logo top space', 'wp-education'),
              'step'    => 1,
              'min'     => 1,
              'max'     => 100,
            ),
          ),
        ),
        array(
          'name'          => 'logo_bottom_space',
          'default'       => 18,
          'control'       => array(
            'type'        => 'cs_field',
            'options'     => array(
              'type'      => 'slider',
              'desc'      => esc_html__('Default 18 px.', 'wp-education'),
              'title'     => esc_html__('Logo bottom space', 'wp-education'),
              'step'    => 1,
              'min'     => 1,
              'max'     => 100,
            ),
          ),
        ),
      )
    ),
    array(
      'name'          => 'menu_section',
      'title'         => esc_html__('Menu settings', 'wp-education'),
      'settings'      => array(
        array(
          'name'          => 'menu_top_space',
          'default'       => 39,
          'control'       => array(
            'type'        => 'cs_field',
            'options'     => array(
              'type'      => 'slider',
              'desc'      => esc_html__('Default 39 px.', 'wp-education'),
              'title'     => esc_html__('Menu item top space', 'wp-education'),
              'step'    => 1,
              'min'     => 1,
              'max'     => 100,
            ),
          ),
        ),
        array(
          'name'          => 'menu_bottom_space',
          'default'       => 39,
          'control'       => array(
            'type'        => 'cs_field',
            'options'     => array(
              'type'      => 'slider',
              'desc'      => esc_html__('Default 39 px.', 'wp-education'),
              'title'     => esc_html__('Menu item bottom space', 'wp-education'),
              'step'    => 1,
              'min'     => 1,
              'max'     => 100,
            ),
          ),
        ),
        array(
          'name'          => 'menu_left_space',
          'default'       => 15,
          'control'       => array(
            'type'        => 'cs_field',
            'options'     => array(
              'type'      => 'slider',
              'desc'      => esc_html__('Default 15 px.', 'wp-education'),
              'title'     => esc_html__('Menu item left space', 'wp-education'),
              'step'    => 1,
              'min'     => 1,
              'max'     => 100,
            ),
          ),
        ),
        array(
          'name'          => 'menu_right_space',
          'default'       => 15,
          'control'       => array(
            'type'        => 'cs_field',
            'options'     => array(
              'type'      => 'slider',
              'desc'      => esc_html__('Default 15 px.', 'wp-education'),
              'title'     => esc_html__('Menu item right space', 'wp-education'),
              'step'    => 1,
              'min'     => 1,
              'max'     => 100,
            ),
          ),
        ),
      )
    ),

  ),    
);


CSFramework_Customize::instance( $options );
