<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => 'Theme Options',
  'menu_type'       => 'menu', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'educationpress-options',
  'ajax_save'       => false,
  'show_reset_all'  => false,
  'framework_title' => sprintf( '%s <small>%s</small>', esc_html__('WP Education', 'wp-education'), esc_html__('Ultimate WordPress learning management system theme', 'wp-education') ),
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();


// ------------------------------
// Pre Header Setting                  -
// ------------------------------

$options[]      = array(
  'name'        => 'pre_header_settings',
  'title'       => esc_html__('Pre Header Settings', 'wp-education'),
  'icon'        => 'cs-icon fa fa-arrows-h',

  // begin: fields
  'fields'      => array(
    array(
      'id'      => 'ep_need_pre_header',
      'type'    => 'switcher',
      'title'   => esc_html__('Need pre header?', 'wp-education'),
      'desc'    => esc_html__('Enable or disable pre header bar. Default enable.', 'wp-education'),
      'default' => true
    ),
    array(
      'id'      => 'ep_need_pre_header_mobile',
      'type'    => 'switcher',
      'title'   => esc_html__('Disable pre header?', 'wp-education'),
      'desc'    => esc_html__('Enable or disable pre header bar on mobile devices.', 'wp-education'),
      'default' => true
    ),
    array(
      'id'      => 'ep_pre_header_bg',
      'type'    => 'color_picker',
      'title'   => esc_html__('Pre header background', 'wp-education'),
      'desc'    => esc_html__('Pre header bar background color. Default #25c1e7.', 'wp-education'),
      'default' => '#25c1e7',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_pre_header_border_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Pre header border color', 'wp-education'),
      'desc'    => esc_html__('Pre header bar border color. Default #25c1e7.', 'wp-education'),
      'default' => '#25c1e7',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_pre_header_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Pre header color', 'wp-education'),
      'desc'    => esc_html__('Pre header bar text color. Default #ffffff.', 'wp-education'),
      'default' => '#ffffff',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_pre_header_text',
      'type'    => 'text',
      'title'   => esc_html__('Header text', 'wp-education'),
      'desc'    => esc_html__('Will be shown in the header top bar.', 'wp-education'),
      'default' => esc_html__('Have any question?', 'wp-education'),
    ),
    array(
      'id'      => 'ep_pre_header_phone',
      'type'    => 'text',
      'title'   => esc_html__('Phone number', 'wp-education'),
      'desc'    => esc_html__('Will be shown in the header top bar.', 'wp-education'),
      'default' => esc_html__('0123456789', 'wp-education'),
    ),
    array(
      'id'      => 'ep_pre_header_email',
      'type'    => 'text',
      'title'   => esc_html__('Email address', 'wp-education'),
      'desc'    => esc_html__('Will be shown in the header top bar.', 'wp-education'),
      'default' => esc_html__('admin@xoothemes.com', 'wp-education'),
    ),
    array(
      'id'       => 'ep_pre_header_right_content',
      'type'     => 'select',
      'title'    => esc_html__('Header right content', 'wp-education'),
      'desc'     => esc_html__('Select a content type for header right.', 'wp-education'),
      'options'  => array(
        'none'  => esc_html__('No Content', 'wp-education'),
        'text'  => esc_html__('Plain Text', 'wp-education'),
        'menu'  => esc_html__('Menu', 'wp-education'),
        'social'  => esc_html__('Social Icons', 'wp-education'),
      ),
      'default'  => 'social',
    ),
    array(
      'id'          => 'ep_pre_header_right_text',
      'type'        => 'text',
      'title'       => esc_html__('Header Right Text', 'wp-education'),
      'desc'        => esc_html__('Pre header right plain text.', 'wp-education'),
      'dependency'  => array( 'ep_pre_header_right_content', '==', 'text' ),
    ),
    array(
      'id'          => 'ep_pre_header_right_menu',
      'type'        => 'select',
      'title'       => esc_html__('Header Right Menu', 'wp-education'),
      'desc'        => esc_html__('Select a menu for header right.', 'wp-education'),
      'options'     => 'menu',
      'dependency'  => array( 'ep_pre_header_right_content', '==', 'menu' ),
    ),
    array(
      'id'              => 'ep_pre_header_right_social_icons',
      'type'            => 'group',
      'title'           => esc_html__('Top Bar Right Social Icons', 'wp-education'),
      'button_title'    => esc_html__('Add New', 'wp-education'),
      'accordion_title' => esc_html__('Add New Social Network', 'wp-education'),
      'dependency'      => array( 'ep_pre_header_right_content', '==', 'social' ),
      'fields'          => array(

        array(
          'id'      => 'icon',
          'type'    => 'icon',
          'title'   => esc_html__('Select an Icon', 'wp-education'),
        ),

        array(
          'id'          => 'url',
          'type'        => 'text',
          'title'       => esc_html__('Social Network URL', 'wp-education')
        ),

      ),
      'default' => array(

        array(
          'icon'  => 'fa fa-twitter',
          'url'   => '#',
        ),
        array(
          'icon'  => 'fa fa-facebook',
          'url'   => '#',
        ),
        array(
          'icon'  => 'fa fa-google-plus',
          'url'   => '#',
        ),
        array(
          'icon'  => 'fa fa-linkedin',
          'url'   => '#',
        ),
        array(
          'icon'  => 'fa fa-youtube-play',
          'url'   => '#',
        ),
        
      )
    ),
  )
);


// ------------------------------
// Header Setting                  -
// ------------------------------

$options[]      = array(
  'name'        => 'header_settings',
  'title'       => esc_html__('Header Settings', 'wp-education'),
  'icon'        => 'cs-icon fa fa-arrow-circle-up',

  // begin: fields
  'fields'      => array(
    array(
      'id'            => 'header_type',
      'type'          => 'image_select',
      'title'         => esc_html__('Header Type', 'wp-education'),
      'desc'          => esc_html__('Choose a header type.', 'wp-education'),
      'options'       => array(
        'default'       => esc_url( get_template_directory_uri().'/assets/images/admin/default-header.png' ),
        'transparent'   => esc_url( get_template_directory_uri().'/assets/images/admin/transparent-header.png' ),
      ),
      'radio'         => true,
      'default'       => 'default',
      'wrap_class'    => 'ep-header-type'
    ),
    array(
      'id'        => 'ep_transparent_header_logo',
      'type'      => 'image',
      'title'     => esc_html__('Transparent header logo', 'wp-education'),
      'desc'      => esc_html__('The default logo comes form the theme customizer, If your header type is set to transparent then you can set different logo for transparent header. If this not set default logo will be shown.', 'wp-education'),
      'add_title' => esc_html__('Add Logo', 'wp-education'),
    ),
    array(
      'id'        => 'site_content_margin_top',
      'type'      => 'slider',
      'default'   => 130,
      'title'     => esc_html__( 'Main content margin top', 'wp-education' ),
      'desc'      => esc_html__('If you set transparent header and you don\'t need page title then you need this margin on top of the page main content. Default 130px.', 'wp-education'),
      'options'   => array(
        'step'    => 1,
        'min'     => 0,
        'max'     => 500,
      )
    ),
    array(
      'id'      => 'ep_header_bg',
      'type'    => 'color_picker',
      'title'   => esc_html__('Header background color', 'wp-education'),
      'desc'    => esc_html__('Default #ffffff.', 'wp-education'),
      'default' => '#ffffff',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_transparent_header_bg',
      'type'    => 'color_picker',
      'title'   => esc_html__('Transparent header background color', 'wp-education'),
      'desc'    => esc_html__('Default #ffffff.', 'wp-education'),
      'default' => 'rgba(0, 0, 0, 0.7)',
      'rgba'    => true,
    ),
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Default menu settings', 'wp-education') ),
    ),
    array(
      'id'      => 'ep_default_menu_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Menu color', 'wp-education'),
      'desc'    => esc_html__('Default #777777.', 'wp-education'),
      'default' => '#777777',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_default_menu_hover_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Menu hover color', 'wp-education'),
      'desc'    => esc_html__('Default #333333.', 'wp-education'),
      'default' => '#333333',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_menu_hover_border',
      'type'    => 'switcher',
      'title'   => esc_html__('Menu hober border', 'wp-education'),
      'default' => true,
      'desc'    => esc_html__('On menu hover show a border bellow the menu item. Default yes.', 'wp-education'),
    ),
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Transparent menu settings', 'wp-education') ),
    ),
    array(
      'id'      => 'ep_transparent_menu_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Menu color', 'wp-education'),
      'desc'    => esc_html__('Default #dadada.', 'wp-education'),
      'default' => '#dadada',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_transparent_menu_hover_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Menu hover color', 'wp-education'),
      'desc'    => esc_html__('Default #ffffff.', 'wp-education'),
      'default' => '#ffffff',
      'rgba'    => true,
    ),
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Dropdown or megamenu settings', 'wp-education') ),
    ),
    array(
      'id'      => 'ep_dropdown_menu_bg',
      'type'    => 'color_picker',
      'title'   => esc_html__('Background color', 'wp-education'),
      'desc'    => esc_html__('Dropdown or megamenu background color. Default #ffffff.', 'wp-education'),
      'default' => '#ffffff',
      'rgba'    => true,
    ),
    array(
      'id'      => 'ep_dropdown_menu_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Menu color', 'wp-education'),
      'desc'    => esc_html__('Dropdown or megamenu color. Default #333333.', 'wp-education'),
      'default' => '#333333',
      'rgba'    => true,
    ),
    array(
      'id'        => 'ep_dropdown_menu_width',
      'type'      => 'slider',
      'default'   => 260,
      'title'     => esc_html__( 'Dropdown menu minimum width.', 'wp-education' ),
      'desc'      => esc_html__('Default 260px.', 'wp-education'),
      'options'   => array(
        'step'    => 1,
        'min'     => 0,
        'max'     => 500,
      )
    ),
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Menu Custom Items', 'wp-education') ),
    ),
    array(
      'id'      => 'ep_menu_cart_icon',
      'type'    => 'switcher',
      'title'   => esc_html__('Show Course Cart', 'wp-education'),
      'desc'    => esc_html__('Show course cart icon in the menu. Default disable.', 'wp-education'),
      'default' => false,
    ),
    array(
      'id'      => 'ep_menu_profile',
      'type'    => 'switcher',
      'title'   => esc_html__('Show Profile', 'wp-education'),
      'desc'    => esc_html__('Show profile in the menu. Make sure you set login, registration and profile pages.', 'wp-education'),
      'default' => true,
    ),
    array(
      'id'      => 'ep_login_page',
      'type'    => 'select',
      'title'   => esc_html__('Select Login Page', 'wp-education'),
      'desc'    => esc_html__('Select your login page. Required for the profile.', 'wp-education'),
      'options' => 'pages',
    ),
    array(
      'id'      => 'ep_profile_page',
      'type'    => 'select',
      'title'   => esc_html__('Select Profile Page', 'wp-education'),
      'desc'    => esc_html__('Select profile page. Required for the profile.', 'wp-education'),
      'options' => 'pages',
    ),
  )
);


// ------------------------------
// Page Header Setting                  -
// ------------------------------

$options[]      = array(
  'name'        => 'page_header_settings',
  'title'       => esc_html__('Page Header Settings', 'wp-education'),
  'icon'        => 'cs-icon fa fa-window-minimize',

  // begin: fields
  'fields'      => array(
    array(
      'id'        => 'ep_page_header_bg',
      'type'      => 'image',
      'title'     => esc_html__('Page Header Background', 'wp-education'),
      'desc'      => esc_html__('Page header background image.', 'wp-education'),
      'add_title' => esc_html__('Add Image', 'wp-education'),
    ),
    array(
      'id'      => 'ep_page_header_bg_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Page header background color', 'wp-education'),
      'default' => 'rgba(45,51,57,0.75)',
      'rgba'    => true,
    ),
    array(
      'id'        => 'ep_page_header_p_top',
      'type'      => 'slider',
      'default'   => 56,
      'title'     => esc_html__( 'Padding Top', 'wp-education' ),
      'desc'      => esc_html__('Page header padding top. Default 56px.', 'wp-education'),
      'options'   => array(
        'step'    => 1,
        'min'     => 5,
        'max'     => 200,
      )
    ),
    array(
      'id'        => 'ep_page_header_p_bottom',
      'type'      => 'slider',
      'default'   => 56,
      'title'     => esc_html__( 'Padding Bottom', 'wp-education' ),
      'desc'      => esc_html__('Page header padding bottom. Default 56px.', 'wp-education'),
      'options'   => array(
        'step'    => 1,
        'min'     => 5,
        'max'     => 200,
      )
    ),
    array(
      'id'      => 'ep_show_breadcrumb',
      'type'    => 'switcher',
      'title'   => esc_html__('Show Breadcrumb', 'wp-education'),
      'desc'    => esc_html__('Show breadcrumb in page header. Default enable.', 'wp-education'),
      'default' => true,
    ),
  )
);    

// ------------------------------
// Style Setting                  -
// ------------------------------

$options[]      = array(
  'name'        => 'style_settings',
  'title'       => esc_html__('Style Settings', 'wp-education'),
  'icon'        => 'fa fa-cogs',

  // begin: fields
  'fields'      => array(
    array(
      'id'        => 'body_font_size',
      'type'      => 'slider',
      'default'   => 14,
      'title'     => esc_html__( 'Font size', 'wp-education' ),
      'desc'      => esc_html__('Body font size. Default 14px.', 'wp-education'),
      'options'   => array(
        'step'    => 1,
        'min'     => 5,
        'max'     => 100,
      )
    ),
    array(
      'id'        => 'body_line_height',
      'type'      => 'slider',
      'default'   => 24,
      'title'     => esc_html__( 'Line Height', 'wp-education' ),
      'desc'      => esc_html__('Body line height. Default 22px.', 'wp-education'),
      'options'   => array(
        'step'    => 1,
        'min'     => 5,
        'max'     => 100,
      )
    ),
    array(
      'id'      => 'ep_body_bg',
      'type'    => 'color_picker',
      'title'   => esc_html__('Body Background', 'wp-education'),
      'desc'    => esc_html__('Site body background color.', 'wp-education'),
      'default' => '#f3f3f3',
    ),
    array(
      'id'      => 'ep_body_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Body color', 'wp-education'),
      'desc'    => esc_html__('Site body color.', 'wp-education'),
      'default' => '#666666',
    ),
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Color Customization', 'wp-education') ),
    ),
    array(
      'id'      => 'need_color_customizer',
      'type'    => 'switcher',
      'title'   => esc_html__('Need color customizer?', 'wp-education'),
      'default' => false
    ),
    array(
      'id'         => 'ep_primary_color',
      'type'       => 'color_picker',
      'title'      => esc_html__('Theme Primary Color', 'wp-education'),
      'default'    => '#25c1e7',
      'dependency' => array( 'need_color_customizer', '==', 'true' )
    ),
    array(
      'id'         => 'ep_primary_color_dark',
      'type'       => 'color_picker',
      'title'      => esc_html__('Theme Primary Color Dark', 'wp-education'),
      'default'    => '#14a4c7',
      'dependency' => array( 'need_color_customizer', '==', 'true' )
    ),
    array(
      'id'         => 'ep_primary_color_light',
      'type'       => 'color_picker',
      'title'      => esc_html__('Theme Primary Color Light', 'wp-education'),
      'default'    => 'rgba( 51, 204, 255, 0.1 )',
      'dependency' => array( 'need_color_customizer', '==', 'true' )
    ),
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Custom CSS and JS', 'wp-education') ),
    ),
    array(
      'id'    => 'ep_custom_css_code',
      'type'  => 'textarea',
      'title' => esc_html__('Custom CSS Code', 'wp-education'),
      'class' => 'ep_code_editor'
    ),
    array(
      'id'      => 'ep_custom_js_code',
      'type'    => 'textarea',
      'default' => "(function($) { 
    'use strict';
})(jQuery);",
      'title'   => esc_html__('Custom JS Code', 'wp-education'),
      'desc'    => esc_html__('Put your custom JS code after te use strict.', 'wp-education'),
    ),
  ),
);


// ------------------------------
// Blog Setting                  -
// ------------------------------

$options[]      = array(
  'name'        => 'blog_settings',
  'title'       => esc_html__('Blog Settings', 'wp-education'),
  'icon'        => 'fa fa-rss',

  // begin: fields
  'fields'      => array(
    array(
      'id'          => 'feature_image_width',
      'type'        => 'number',
      'title'       => esc_html__('Blog Feature Image Width', 'wp-education'),
      'desc'        => esc_html__('If you changed the image size, you have to regenerate thumbnails. You can use any regenerate thumbnails plugin for that.', 'wp-education'),
      'default'     => 870,
      'after'       => ' <i class="cs-text-muted">(px)</i>',
    ),
    array(
      'id'      => 'feature_image_height',
      'type'    => 'number',
      'title'   => esc_html__('Blog Feature Image Height', 'wp-education'),
      'default' => 580,
      'after'   => ' <i class="cs-text-muted">(px)</i>',
    ),
    array(
      'id'        => 'blog_layout',
      'type'      => 'image_select',
      'title'     => esc_html__('Blog Layout', 'wp-education'),
      'desc'      => esc_html__('Choose a layout for your blog, It will also work on single, archive, search pages.', 'wp-education'),
      'options'   => array(
        'full_width'  => esc_url( get_template_directory_uri().'/assets/images/admin/full-width.png' ),
        'left'        => esc_url( get_template_directory_uri().'/assets/images/admin/left.png' ),
        'right'       => esc_url( get_template_directory_uri().'/assets/images/admin/right.png' ),
      ),
      'radio'     => true,
      'default'   => 'right'
    ),
    array(
      'id'      => 'blog_author_bio',
      'type'    => 'switcher',
      'title'   => esc_html__('Author Bio', 'wp-education'),
      'default' => true,
      'desc'    => esc_html__('Show author bio on single blog post. Default yes.', 'wp-education'),
    ),
    array(
      'id'      => 'blog_post_nav',
      'type'    => 'switcher',
      'title'   => esc_html__('Post Nav', 'wp-education'),
      'default' => true,
      'desc'    => esc_html__('Show next / prev nav on single blog post. Default yes.', 'wp-education'),
    ),
  ),
);



// ------------------------------
// Course Setting                  -
// ------------------------------

$options[]      = array(
  'name'        => 'course_settings',
  'title'       => esc_html__('Course Settings', 'wp-education'),
  'icon'        => 'fa fa-book',

  // begin: fields
  'fields'      => array(
    array(
      'id'      => 'course_navigation',
      'type'    => 'switcher',
      'title'   => esc_html__('Course Navigation', 'wp-education'),
      'desc'    => esc_html__('Course navigation can be enable or disable.', 'wp-education'),
      'default' => true
    ),
    array(
      'id'          => 'course_filtering',
      'type'        => 'switcher',
      'title'       => esc_html__('Course Filtering', 'wp-education'),
      'desc'        => esc_html__('In course navigation, course filtering can be enable or disable. Required Search and Filter plugin for this.', 'wp-education'),
      'default'     => true,
      'dependency'  => array( 'course_navigation', '==', 'true' ),
    ),
    array(
      'id'          => 'course_list_grid',
      'type'        => 'switcher',
      'title'       => esc_html__('Course List/Grid Switcher', 'wp-education'),
      'desc'        => esc_html__('In course navigation, course list/grid switcher can be enable or disable.', 'wp-education'),
      'default'     => true,
      'dependency'  => array( 'course_navigation', '==', 'true' ),
    ),
    array(
      'id'        => 'course_page_layout',
      'type'      => 'image_select',
      'title'     => esc_html__('Course Page Layout', 'wp-education' ),
      'desc'      => esc_html__('Default grid layout, You can also select full screen layout.', 'wp-education'),
      'options'   => array(
        'full_screen' => esc_url( get_template_directory_uri().'/assets/images/admin/full-width-page.png' ),
        'grid'        => esc_url( get_template_directory_uri().'/assets/images/admin/box-layout-page.png' ),
      ),
      'default'    => 'grid',
    ),
    array(
      'id'        => 'course_layout',
      'type'      => 'image_select',
      'title'     => esc_html__('Course Page Layout', 'wp-education'),
      'desc'      => esc_html__('Choose a layout for your course archive page.', 'wp-education'),
      'options'   => array(
        'full_width'  => esc_url( get_template_directory_uri().'/assets/images/admin/full-width.png' ),
        'left'        => esc_url( get_template_directory_uri().'/assets/images/admin/left.png' ),
        'right'       => esc_url( get_template_directory_uri().'/assets/images/admin/right.png' ),
      ),
      'radio'     => true,
      'default'   => 'right'
    ),
    array(
      'id'             => 'course_columns',
      'type'           => 'select',
      'title'          => esc_html__('Course Column', 'wp-education'),
      'desc'           => esc_html__('Select number of columns for the course in course archive page.', 'wp-education'),
      'options'        => array(
        '2'    => esc_html__('2 columns', 'wp-education'),
        '3'    => esc_html__('3 columns', 'wp-education'),
        '4'    => esc_html__('4 columns', 'wp-education'),
        '5'    => esc_html__('5 columns', 'wp-education'),
        '6'    => esc_html__('6 columns', 'wp-education'),
        '7'    => esc_html__('7 columns', 'wp-education'),
      ),
      'default' => '3',
    ),
    array(
      'id'        => 'single_course_layout',
      'type'      => 'image_select',
      'title'     => esc_html__('Single Course Page Layout', 'wp-education'),
      'desc'      => esc_html__('Choose a layout for your single course page.', 'wp-education'),
      'options'   => array(
        'full_width'  => esc_url( get_template_directory_uri().'/assets/images/admin/full-width.png' ),
        'left'        => esc_url( get_template_directory_uri().'/assets/images/admin/left.png' ),
        'right'       => esc_url( get_template_directory_uri().'/assets/images/admin/right.png' ),
      ),
      'radio'     => true,
      'default'   => 'right'
    ),
    array(
      'id'      => 'instructor_course_tab',
      'type'    => 'switcher',
      'title'   => esc_html__('Instructor course tab', 'wp-education'),
      'desc'    => esc_html__('Enable or disable the instructor tab.', 'wp-education'),
      'default' => true
    ),
    array(
      'id'        => 'course_slider_min_height',
      'type'      => 'slider',
      'default'   => 170,
      'title'     => esc_html__( 'Course slider minimum height', 'wp-education' ),
      'desc'      => esc_html__('On course slider shortcode, you can set minimum height for the content area, so it will looks equal in height.', 'wp-education'),
      'options'   => array(
        'step'    => 1,
        'min'     => 0,
        'max'     => 500,
      )
    ),
    array(
      'id'         => 'purchase_button_text',
      'type'       => 'text',
      'title'      => esc_html__('Course Purchase Button Text', 'wp-education'),
      'default'    => esc_html__('Join Now', 'wp-education'),
    ),
    array(
      'id'         => 'enroll_button_text',
      'type'       => 'text',
      'title'      => esc_html__('Course Enroll Button Text', 'wp-education'),
      'default'    => esc_html__('Enroll', 'wp-education'),
    ),
    array(
      'id'          => 'show_course_enroll_btn_n_price',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Course Details Button and Price', 'wp-education'),
      'desc'        => esc_html__('Show course details button and course price in course archive page. Default Yes.', 'wp-education'),
      'default'     => true,
    ),
    array(
      'id'          => 'show_course_price',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Course Price', 'wp-education'),
      'desc'        => esc_html__('Show course price in course archive page. Default Yes.', 'wp-education'),
      'default'     => true,
      'dependency'  => array( 'show_course_enroll_btn_n_price', '==', 'true' ),
    ),
    array(
      'id'          => 'show_course_enroll_btn',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Course Details Button', 'wp-education'),
      'desc'        => esc_html__('Show course details button in course archive page. Default Yes.', 'wp-education'),
      'default'     => true,
      'dependency'  => array( 'show_course_enroll_btn_n_price', '==', 'true' ),
    ),
    array(
      'id'          => 'show_course_meta',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Course Meta ( Students & Review )', 'wp-education'),
      'desc'        => esc_html__('Show course students and course review in course archive page. Default Yes.', 'wp-education'),
      'default'     => true,
    ),
    array(
      'id'          => 'show_course_students',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Course Students', 'wp-education'),
      'desc'        => esc_html__('Show course students in course archive page. Default Yes.', 'wp-education'),
      'default'     => true,
      'dependency'  => array( 'show_course_meta', '==', 'true' ),
    ),
    array(
      'id'          => 'show_course_review',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Course Review', 'wp-education'),
      'desc'        => esc_html__('Show course review in course archive page. Default Yes.', 'wp-education'),
      'default'     => true,
      'dependency'  => array( 'show_course_meta', '==', 'true' ),
    ),
    array(
      'id'          => 'show_course_wishlist',
      'type'        => 'switcher',
      'title'       => esc_html__('Show Wishlist Button', 'wp-education'),
      'desc'        => esc_html__('Show course wishlist button in course archive page. Wishlist plugin required. Default Yes.', 'wp-education'),
      'default'     => true,
    ),
  ),
);



// ------------------------------
// Footer Setting                  -
// ------------------------------

$options[]      = array(
  'name'        => 'footer_settings',
  'title'       => esc_html__('Footer Settings', 'wp-education'),
  'icon'        => 'fa fa-chevron-circle-down',

  // begin: fields
  'fields'      => array(
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Footer', 'wp-education') ),
    ),
    array(
      'id'        => 'footer_top_bottom_space',
      'type'      => 'slider',
      'default'   => 75,
      'title'     => esc_html__( 'Footer top & bottom paddings', 'wp-education' ),
      'options'   => array(
        'step'    => 1,
        'min'     => 10,
        'max'     => 300,
      )
    ),
    array(
      'id'             => 'footer_widget_column',
      'type'           => 'select',
      'title'          => esc_html__('Footer Widgets Columns', 'wp-education'),
      'options'        => array(
        '6'    => '2 Columns',
        '4'    => '3 Columns',
        '3'    => '4 Columns',
      ),
      'default'        => '4',
      'default_option' => esc_html__('Select an option', 'wp-education'),
    ),
    array(
      'id'      => 'footer_background_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Footer Background Color', 'wp-education'),
      'default' => '#2d3339',
    ),
    array(
      'id'      => 'footer_title_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Footer Widget Title Color', 'wp-education'),
      'default' => '#ffffff',
    ),
    array(
      'id'      => 'footer_content_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Footer widget Content Color', 'wp-education'),
      'default' => '#999999',
    ),
    array(
      'id'      => 'footer_link_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Footer widget Link Color', 'wp-education'),
      'default' => '#ffffff',
    ),
    array(
      'type'    => 'notice',
      'class'   => 'info',
      'content' => sprintf( '<h3>%s</h3>', esc_html__('Bottom Bar', 'wp-education') ),
    ),
    array(
      'id'        => 'bottom_bar_top_bottom_space',
      'type'      => 'slider',
      'default'   => 15,
      'title'     => esc_html__( 'Footer top & bottom paddings', 'wp-education' ),
      'options'   => array(
        'step'    => 1,
        'min'     => 5,
        'max'     => 100,
      )
    ),
    array(
      'id'         => 'footer_text',
      'type'       => 'textarea',
      'title'      => esc_html__('Footer Text', 'wp-education'),
      'default'    => esc_html__('&copy; Copyright XooThemes 2017', 'wp-education'),
      'sanitize'   => false,
      'attributes' => array(
          'style'    => 'min-height: 17px; line-height: 12px; padding: 10px 6px 0 6px;'
        ),
    ),
    array(
      'id'      => 'bottom_bar_background_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Bottom Bar Background Color', 'wp-education'),
      'default' => '#23272d',
    ),
    array(
      'id'      => 'bottom_bar_text_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Bottom Bar Text Color', 'wp-education'),
      'default' => '#575c61',
    ),
    array(
      'id'      => 'bottom_bar_link_color',
      'type'    => 'color_picker',
      'title'   => esc_html__('Bottom Bar Link Color', 'wp-education'),
      'default' => '#ffffff',
    ),
  ),
);


// ------------------------------
// WooCommerce Settings
// ------------------------------


if ( class_exists( 'woocommerce' ) ):

  $options[]   = array(
    'name'     => 'ep_woocommerce_settigs',
    'title'    => esc_html__('WooCommerce Settings', 'wp-education'),
    'icon'     => 'fa fa-shopping-cart',
    'fields'   => array(

      array(
        'id'        => 'ep_shop_layout',
        'type'      => 'image_select',
        'title'     => esc_html__('Shop Page Layout', 'wp-education'),
        'desc'      => esc_html__('Choose a layout for your shop page, It will also work on few others WooCommerce pages.', 'wp-education'),
        'options'   => array(
          'full_width'  => esc_url( get_template_directory_uri().'/assets/images/admin/full-width.png' ),
          'left'        => esc_url( get_template_directory_uri().'/assets/images/admin/left.png' ),
          'right'       => esc_url( get_template_directory_uri().'/assets/images/admin/right.png' ),
        ),
        'radio'     => true,
        'default'   => 'right'
      ),
      array(
        'id'        => 'ep_product_layout',
        'type'      => 'image_select',
        'title'     => esc_html__('Product Page Layout', 'wp-education'),
        'desc'      => esc_html__('Choose a layout for your product page.', 'wp-education'),
        'options'   => array(
          'full_width'  => esc_url( get_template_directory_uri().'/assets/images/admin/full-width.png' ),
          'left'        => esc_url( get_template_directory_uri().'/assets/images/admin/left.png' ),
          'right'       => esc_url( get_template_directory_uri().'/assets/images/admin/right.png' ),
        ),
        'radio'     => true,
        'default'   => 'right'
      ),
      array(
        'id'          => 'ep_shop_number_of_products',
        'type'        => 'number',
        'title'       => esc_html__('Shop number of products', 'wp-education'),
        'desc'        => esc_html__('Number of products to show on the shop page, default 9 products.', 'wp-education'),
        'default'     => 9,
        'after'       => ' Products',
      ),
      array(
        'id'       => 'ep_shop_loop_column',
        'type'     => 'select',
        'title'    => esc_html__('Product column', 'wp-education'),
        'desc'     => esc_html__('Change number of products per row', 'wp-education'),
        'options'  => array(
          '1'  => esc_html__('1 column', 'wp-education'),
          '2'  => esc_html__('2 columns', 'wp-education'),
          '3'  => esc_html__('3 columns', 'wp-education'),
          '4'  => esc_html__('4 columns', 'wp-education'),
          '5'  => esc_html__('5 columns', 'wp-education'),
          '6'  => esc_html__('6 columns', 'wp-education'),
          '7'  => esc_html__('7 columns', 'wp-education'),
        ),
        'default'  => '3',
      ),
      array(
        'id'       => 'ep_related_loop_column',
        'type'     => 'select',
        'title'    => esc_html__('Related Products column', 'wp-education'),
        'desc'     => esc_html__('Change number of products per row for related products', 'wp-education'),
        'options'  => array(
          '1'  => esc_html__('1 column', 'wp-education'),
          '2'  => esc_html__('2 columns', 'wp-education'),
          '3'  => esc_html__('3 columns', 'wp-education'),
          '4'  => esc_html__('4 columns', 'wp-education'),
          '5'  => esc_html__('5 columns', 'wp-education'),
          '6'  => esc_html__('6 columns', 'wp-education'),
          '7'  => esc_html__('7 columns', 'wp-education'),
        ),
        'default'  => '3',
      ),
      array(
        'id'       => 'ep_related_per_page',
        'type'     => 'select',
        'title'    => esc_html__('Number of Related Products', 'wp-education'),
        'desc'     => esc_html__('Change number of products related products to show', 'wp-education'),
        'options'  => array(
          '1'  => esc_html__('1 Product', 'wp-education'),
          '2'  => esc_html__('2 Products', 'wp-education'),
          '3'  => esc_html__('3 Products', 'wp-education'),
          '4'  => esc_html__('4 Products', 'wp-education'),
          '5'  => esc_html__('5 Products', 'wp-education'),
          '6'  => esc_html__('6 Products', 'wp-education'),
          '7'  => esc_html__('7 Products', 'wp-education'),
        ),
        'default'  => '3',
      ),
      array(
        'id'      => 'ep_need_woo_zoom',
        'type'    => 'switcher',
        'title'   => esc_html__('Need Image Zoom?', 'wp-education'),
        'desc'    => esc_html__('Enable or disable image zooming. Default enable.', 'wp-education'),
        'default' => true
      ),
      array(
        'id'      => 'ep_need_woo_lightbox',
        'type'    => 'switcher',
        'title'   => esc_html__('Need Image Lightbox?', 'wp-education'),
        'desc'    => esc_html__('Enable or disable image lightbox. Default enable.', 'wp-education'),
        'default' => true
      ),
      array(
        'id'      => 'ep_need_woo_lightbox_slider',
        'type'    => 'switcher',
        'title'   => esc_html__('Need Image Gallery LightBox Slider?', 'wp-education'),
        'desc'    => esc_html__('Enable or disable image gallery lightbox slider. Default enable.', 'wp-education'),
        'default' => true
      ),
    )
  );

endif;

// ------------------------------
// Events Settings
// ------------------------------


if ( class_exists( 'Tribe__Events__Main' ) ):

  $options[]   = array(
    'name'     => 'ep_events_settigs',
    'title'    => esc_html__('Events Calendar Settings', 'wp-education'),
    'icon'     => 'fa fa-calendar',
    'fields'   => array(

      array(
        'id'        => 'events_slider_min_height',
        'type'      => 'slider',
        'default'   => 300,
        'title'     => esc_html__( 'Events slider minimum height', 'wp-education' ),
        'desc'      => esc_html__('On events slider shortcode, you can set minimum height for the content area, so it will looks equal in height.', 'wp-education'),
        'options'   => array(
          'step'    => 1,
          'min'     => 0,
          'max'     => 700,
        )
      ),

    )
  );

endif;


CSFramework::instance( $settings, $options );