<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options      = array();

// -----------------------------------------
// Page Side Metabox Options               -
// -----------------------------------------
$options[]    = array(
  'id'        => '_ep_page_side_options',
  'title'     => esc_html__('Page Settings', 'wp-education'),
  'post_type' => 'page',
  'context'   => 'side',
  'priority'  => 'default',
  'sections'  => array(

    array(
      'name'   => '_ep_page_side_options_fields',
      'fields' => array(

        array(
          'id'        => 'page_layout',
          'type'      => 'image_select',
          'title'     => esc_html__('Page Layout', 'wp-education' ),
          'help'      => esc_html__('Default box layout, You can also select full screen layout.', 'wp-education'),
          'options'   => array(
            'full_screen' => esc_url( get_template_directory_uri().'/assets/images/admin/full-width-page.png' ),
            'grid'        => esc_url( get_template_directory_uri().'/assets/images/admin/box-layout-page.png' ),
          ),
          'default'    => 'grid',
        ),
        array(
          'id'      => 'need_page_title',
          'type'    => 'switcher',
          'title'   => esc_html__('Need Page Title ?', 'wp-education'),
          'help'    => esc_html__('Page title settings avaiable on theme option.', 'wp-education'),
          'default' => true,
        ),
        array(
          'id'          => 'need_pre_header',
          'title'       => esc_html__('Need Pre Header', 'wp-education' ),
          'type'        => 'switcher',
          'help'        => esc_html__('Pre header (Header top bar) can be enable or disable for this page.', 'wp-education'),
          'default'     => true,
        ),
        array(
          'id'          => 'page_sidebar_enable',
          'title'       => esc_html__('Need Sidebar?', 'wp-education' ),
          'type'        => 'switcher',
          'help'        => esc_html__('Set off, if you don\'t need sidebar on this page.', 'wp-education'),
          'default'     => false,
        ),
        array(
          'id'          => 'page_sidebar_position',
          'type'        => 'image_select',
          'title'       => esc_html__('Page Sidebar Position', 'wp-education' ),
          'desc'        => esc_html__('Options: Left, Right or No Sidebar.', 'wp-education' ),
          'options'     => array(
            'left'        => esc_url( get_template_directory_uri().'/assets/images/admin/left.png' ),
            'right'       => esc_url( get_template_directory_uri().'/assets/images/admin/right.png' ),
            'no_sidebar'  => esc_url( get_template_directory_uri().'/assets/images/admin/full-width.png' ),
          ),
          'default'     => 'no_sidebar',
          'dependency'  => array( 'page_sidebar_enable', '!=', '' ),
        ),
        array(
          'id'          => 'page_choose_sidebar',
          'type'        => 'select',
          'title'       => esc_html__('Select a sidebar for this plage.', 'wp-education' ),
          'help'        => esc_html__('Go to theme option for generating new sidebars.', 'wp-education' ),
          'options'     => ep_sidebars_list_on_option(),
          'default'     => 'sidebar-1',
          'dependency'  => array( 'page_sidebar_position_no_sidebar', '!=', 'true' ),
        ),
        array(
          'id'       => 'header_transparent',
          'type'     => 'switcher',
          'title'    => esc_html__('Header Transparent Mode', 'wp-education'),
          'help'     => esc_html__( 'By enabling this you can enable header transparent mode.', 'wp-education' ),
          'default'  => false,
        ),
        array(
          'id'        => 'main_content_margin_top',
          'type'      => 'switcher',
          'title'     => esc_html__('Main content top space', 'wp-education'),
          'help'      => esc_html__( 'Space on top of the main content. You may need this if header if transparent and page title is disabled.', 'wp-education' ),
          'default'   => false,
        ),
      ),
    ),

  ),
);



// -----------------------------------------
// Course Metabox Options                    -
// -----------------------------------------
$options[]    = array(
  'id'        => '_course_side_options',
  'title'     => esc_html__( 'Course Options', 'wp-education' ),
  'post_type' => 'lp_course',
  'context'   => 'normal',
  'priority'  => 'high',
  'sections'  => array(

    array(
      'name'   => '_course_options',
      'fields' => array(

        array(
          'id'       => 'skill-level',
          'type'     => 'select',
          'title'    => esc_html__( 'Course skill level', 'wp-education' ),
          'desc'     => esc_html__( 'What kind of students can take this course.', 'wp-education' ),
          'options'  => array(
            'all'           => esc_html__( 'All level', 'wp-education' ),
            'newbie'        => esc_html__( 'Newbie', 'wp-education' ),
            'beginner'      => esc_html__( 'Beginner', 'wp-education' ),
            'intermediate'  => esc_html__( 'Intermediate', 'wp-education' ),
            'advanced'      => esc_html__( 'Advanced', 'wp-education' ),
          ),
          'default'  => 'all',
        ),
        array(
          'id'      => 'language',
          'type'    => 'text',
          'title'   => esc_html__( 'Course Language', 'wp-education' ),
          'desc'    => esc_html__( 'Which language skill is required to take this course', 'wp-education' ),
          'default' => esc_html__( 'English', 'wp-education' ),
        ),
        array(
          'id'          => 'short_description',
          'type'        => 'wysiwyg',
          'title'       => esc_html__( 'Course short description', 'wp-education' ),
          'default'     => '',
          'settings'    => array(
            'textarea_rows' => 5,
            'tinymce'       => false,
            'media_buttons' => false,
          )
        ),

      ),
    ),

  ),
);


// -----------------------------------------
// Testimonial Metabox Options                    -
// -----------------------------------------

$options[]    = array(
  'id'        => '_testimonial_side_options',
  'title'     => esc_html__( 'Testimonial Options', 'wp-education' ),
  'post_type' => 'ep_testimonial',
  'context'   => 'side',
  'priority'  => 'high',
  'sections'  => array(

    array(
      'name'   => '_testimonial_options',
      'fields' => array(

        array(
          'id'      => 'job_position',
          'type'    => 'text',
          'title'   => esc_html__( 'Job of testimonial provider', 'wp-education' ),
        ),
        array(
          'id'      => 'company_name',
          'type'    => 'text',
          'title'   => esc_html__( 'Company name', 'wp-education' ),
        ),
        array(
          'id'      => 'company_url',
          'type'    => 'text',
          'title'   => esc_html__( 'Company URL', 'wp-education' ),
          'attributes'    => array(
            'type' => 'url',
          ),
        ),
        array(
          'id'        => 'testimonial_signature',
          'type'      => 'image',
          'title'     => 'Signature',
          'add_title' => esc_html__( 'Add signature', 'wp-education' ),
        ),

      ),
    ),

  ),
);


CSFramework_Metabox::instance( $options );
