<?php

if ( ! defined( 'ABSPATH' ) ) exit;


/**
 * Register widgets
 */

if(!function_exists('register_ep_course_category_widget')){
	function register_ep_course_category_widget() {
	    register_widget( 'ep_course_category_Widget' );
	    register_widget( 'ep_course_teachers_Widget' );
	}
}

add_action( 'widgets_init', 'register_ep_course_category_widget' );


/**
 * Course Categories Widget
 */

if(!class_exists('ep_course_category_Widget')) {
	class ep_course_category_Widget extends WP_Widget {

		/* Widget name and description */
		
		function __construct() {
			parent::__construct(
				'ep_course_category_widget',
				esc_html__( 'LearnPress Course Categories',  'wp-education' ),
				array( 'description' => esc_html__( 'Xoo Themes LearnPress Course Categories',  'wp-education' ), )
			);
		}


		/* Front-end display of widget */

		public function widget( $args, $instance ) {

			extract( $args );
			extract( $instance );

			echo $before_widget;

			if ( ! empty( $title ) ) {
				echo $before_title . apply_filters( 'widget_title', $title ). $after_title;
			}

			echo do_shortcode( '[ep_course_category_list  xclass="'.$xclass.'" show_count="'.$show_count.'" hide_empty="'.$hide_empty.'" exclude="'.$exclude.'" include="'.$include.'" number="'.$number.'"  depth="'.$depth.'"]' );

			echo $after_widget;
		}


		/* Back-end widget form */

		public function form( $instance ) {
			extract( $instance );
			if( !isset( $xclass ) ){
				$xclass = '';
			}
			if( !isset( $show_count ) ){
				$show_count = '';
			}
			if( !isset( $hide_empty ) ){
				$hide_empty = 'on';
			}
			if( !isset( $exclude ) ){
				$exclude = '';
			}
			if( !isset( $include ) ){
				$include = '';
			}
			if( !isset( $number ) ){
				$number = 0;
			}
			if( !isset( $depth ) ){
				$depth = 0;
			}
			?>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php if( isset( $title ) ) echo esc_attr( $title ); ?>">
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>"><?php esc_html_e( 'Number of categories:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'number' ) ); ?>" type="number" value="<?php if( isset( $number ) ) echo esc_attr( $number ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Default show all the categories.', 'wp-education' ); ?></span>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'depth' ) ); ?>"><?php esc_html_e( 'Depth of categories:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'depth' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'depth' ) ); ?>" type="number" value="<?php if( isset( $depth ) ) echo esc_attr( $depth ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'This parameter controls how many levels in the hierarchy of Categories are to be included in the list of Categories.', 'wp-education' ); ?></span>
			</p>

			<p>
				<span style="display: block"><?php esc_html_e( 'Show category course count', 'wp-education' ); ?></span>
				<input class="checkbox" type="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'show_count' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'show_count' ) ); ?>" <?php if( $show_count && $show_count == 'on' ) echo 'checked';?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'show_count' ) ); ?>"><?php esc_html_e( 'Yes', 'wp-education' ); ?></label>
			</p>

			<p>
				<span style="display: block"><?php esc_html_e( 'Hide empty categories', 'wp-education' ); ?></span>
				<input class="checkbox" type="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'hide_empty' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'hide_empty' ) ); ?>" <?php if( $hide_empty && $hide_empty == 'on' ) echo 'checked';?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'hide_empty' ) ); ?>"><?php esc_html_e( 'Yes', 'wp-education' ); ?></label>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'exclude' ) ); ?>"><?php esc_html_e( 'Exclude categories:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'exclude' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'exclude' ) ); ?>" type="text" value="<?php if( isset( $exclude ) ) echo esc_attr( $exclude ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Comma separated string of term IDs to exclude', 'wp-education' ); ?></span>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'include' ) ); ?>"><?php esc_html_e( 'Include categories:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'include' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'include' ) ); ?>" type="text" value="<?php if( isset( $include ) ) echo esc_attr( $include ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Comma separated string of term IDs to include', 'wp-education' ); ?></span>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'xclass' ) ); ?>"><?php esc_html_e( 'Extra class:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'xclass' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'xclass' ) ); ?>" type="text" value="<?php if( isset( $xclass ) ) echo esc_attr( $xclass ); ?>">
			</p>

			<?php 
		}

		/* Sanitize widget form values as they are saved */

		public function update( $new_instance, $old_instance ) {
			$instance = array();
			$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
			$instance['xclass'] = ( ! empty( $new_instance['xclass'] ) ) ? strip_tags( $new_instance['xclass'] ) : '';
			$instance['show_count'] = ( ! empty( $new_instance['show_count'] ) ) ? strip_tags( $new_instance['show_count'] ) : '';
			$instance['hide_empty'] = ( ! empty( $new_instance['hide_empty'] ) ) ? strip_tags( $new_instance['hide_empty'] ) : '';
			$instance['exclude'] = ( ! empty( $new_instance['exclude'] ) ) ? strip_tags( $new_instance['exclude'] ) : '';
			$instance['include'] = ( ! empty( $new_instance['include'] ) ) ? strip_tags( $new_instance['include'] ) : '';
			$instance['number'] = ( ! empty( $new_instance['number'] ) ) ? strip_tags( $new_instance['number'] ) : '';
			$instance['depth'] = ( ! empty( $new_instance['depth'] ) ) ? strip_tags( $new_instance['depth'] ) : '';

			return $instance;
		}

	}
}




/**
 * Course Teachers Widget
 */

if(!class_exists('ep_course_teachers_Widget')) {
	class ep_course_teachers_Widget extends WP_Widget {

		/* Widget name and description */
		
		function __construct() {
			parent::__construct(
				'ep_course_teachers_widget',
				esc_html__( 'LearnPress Course Instructors',  'wp-education' ),
				array( 'description' => esc_html__( 'Xoo Themes LearnPress Course Instructors',  'wp-education' ), )
			);
		}


		/* Front-end display of widget */

		public function widget( $args, $instance ) {

			extract( $args );
			extract( $instance );

			echo $before_widget;

			if ( ! empty( $title ) ) {
				echo $before_title . apply_filters( 'widget_title', $title ). $after_title;
			}

			echo do_shortcode( '[ep_teachers number="'.$number.'" exclude="'.$exclude.'" include="'.$include.'" show_image="'.$show_image.'" course_count="'.$course_count.'" image_size="'.$image_size.'"]' ); 

			echo $after_widget;
		}


		/* Back-end widget form */

		public function form( $instance ) {
			extract( $instance );
			if( !isset( $number ) ){
				$number = '';
			}
			if( !isset( $exclude ) ){
				$exclude = '';
			}
			if( !isset( $include ) ){
				$include = '';
			}
			if( !isset( $show_image ) ){
				$show_image = 'on';
			}
			if( !isset( $course_count ) ){
				$course_count = 'on';
			}
			if( !isset( $image_size ) ){
				$image_size = 100;
			}
			?>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php if( isset( $title ) ) echo esc_attr( $title ); ?>">
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>"><?php esc_html_e( 'Number of Teachers:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'number' ) ); ?>" type="number" value="<?php if( isset( $number ) ) echo esc_attr( $number ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Default show all the teachers.', 'wp-education' ); ?></span>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'exclude' ) ); ?>"><?php esc_html_e( 'Exclude Teachers:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'exclude' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'exclude' ) ); ?>" type="text" value="<?php if( isset( $exclude ) ) echo esc_attr( $exclude ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Comma separated string of user IDs to exclude', 'wp-education' ); ?></span>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'include' ) ); ?>"><?php esc_html_e( 'Include Teachers:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'include' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'include' ) ); ?>" type="text" value="<?php if( isset( $include ) ) echo esc_attr( $include ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Comma separated string of user IDs to include', 'wp-education' ); ?></span>
			</p>

			<p>
				<span style="display: block"><?php esc_html_e( 'Show Image', 'wp-education' ); ?></span>
				<input class="checkbox" type="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'show_image' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'show_image' ) ); ?>" <?php if( $show_image && $show_image == 'on' ) echo 'checked';?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'show_image' ) ); ?>"><?php esc_html_e( 'Yes', 'wp-education' ); ?></label>
			</p>

			<p>
				<span style="display: block"><?php esc_html_e( 'Show Course Count', 'wp-education' ); ?></span>
				<input class="checkbox" type="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'course_count' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'course_count' ) ); ?>" <?php if( $course_count && $course_count == 'on' ) echo 'checked';?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'course_count' ) ); ?>"><?php esc_html_e( 'Yes', 'wp-education' ); ?></label>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'image_size' ) ); ?>"><?php esc_html_e( 'Image size:', 'wp-education' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'image_size' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'image_size' ) ); ?>" type="number" value="<?php if( isset( $image_size ) ) echo esc_attr( $image_size ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'This user image size.', 'wp-education' ); ?></span>
			</p>

			<?php 
		}

		/* Sanitize widget form values as they are saved */
		
		public function update( $new_instance, $old_instance ) {
			$instance = array();
			$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
			$instance['number'] = ( ! empty( $new_instance['number'] ) ) ? strip_tags( $new_instance['number'] ) : '';
			$instance['exclude'] = ( ! empty( $new_instance['exclude'] ) ) ? strip_tags( $new_instance['exclude'] ) : '';
			$instance['include'] = ( ! empty( $new_instance['include'] ) ) ? strip_tags( $new_instance['include'] ) : '';
			$instance['show_image'] = ( ! empty( $new_instance['show_image'] ) ) ? strip_tags( $new_instance['show_image'] ) : '';
			$instance['course_count'] = ( ! empty( $new_instance['course_count'] ) ) ? strip_tags( $new_instance['course_count'] ) : '';
			$instance['image_size'] = ( ! empty( $new_instance['image_size'] ) ) ? strip_tags( $new_instance['image_size'] ) : '';

			return $instance;
		}

	}
}