<?php
if ( !defined( 'ABSPATH' ) || !defined( 'LP_ADDON_CO_INSTRUCTOR_PATH' ) ) {
	die(); // Exit if accessed directly
}

if ( $instructors ) {
	foreach ( $instructors as $instructor ) {

		$lp_info 	= get_the_author_meta( 'lp_info', $instructor );
		$twitter 	= get_the_author_meta( 'twitter', $instructor );
		$facebook 	= get_the_author_meta( 'facebook', $instructor );
		$gplus 		= get_the_author_meta( 'gplus', $instructor );
		$linkedin 	= get_the_author_meta( 'linkedin', $instructor );
		$youtube 	= get_the_author_meta( 'youtube', $instructor );
		$link    	= learn_press_user_profile_link( $instructor );

		?>
		<div class="ep-course-instructor lp-course-co-instructor" itemprop="contributor" itemscope itemtype="http://schema.org/Person">
			<div class="ep-user-details">
				<div class="ep-user-avatar">
					<?php printf( get_avatar( $instructor, 110 ) ); ?>	
				</div>
				<div class="ep-user-name-wrapper">
					<a href="<?php echo esc_url( $link ); ?>">
						<h4 class="ep-user-display-name"><span itemprop="name"><?php echo get_the_author_meta( 'display_name', $instructor ); ?></span></h4>
					</a>

					<?php if( $job = get_the_author_meta( 'job', $instructor ) ):?>
						<p class="ep-user-job"><?php echo esc_html($job); ?></p>
					<?php endif;?>

					<?php if( $twitter || $facebook || $gplus || $linkedin || $youtube ):?>
						<div class="ep-social-icons ep-social-icons-small">
							<ul class="ep-instructor-social">
								<?php 
									if( $facebook ){
										printf( '<li><a href="%s"><i class="fa fa-facebook"></i></a></li>', esc_url( $facebook ) );
									}
								?>
								<?php 
									if( $twitter ){
										printf( '<li><a href="%s"><i class="fa fa-twitter"></i></a></li>', esc_url( $twitter ) );
									}
								?>
								<?php 
									if( $gplus ){
										printf( '<li><a href="%s"><i class="fa fa-google-plus"></i></a></li>', esc_url( $gplus ) );
									}
								?>
								<?php 
									if( $linkedin ){
										printf( '<li><a href="%s"><i class="fa fa-linkedin"></i></a></li>', esc_url( $linkedin ) );
									}
								?>
								<?php 
									if( $youtube ){
										printf( '<li><a href="%s"><i class="fa fa-youtube"></i></a></li>', esc_url( $youtube ) );
									}
								?>
							</ul>
						</div>
					<?php endif;?>
				</div>
			</div>

			<?php if( $author_description = get_the_author_meta( 'description', $instructor ) ):?>
				<div class="ep-instructor-bio">
					<?php echo esc_html( $author_description ); ?>			
				</div>
			<?php endif;?>
		</div>
		<?php
	}
}