<?php
/**
 * Template for displaying archive collection content
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 1.0
 */

if ( !defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>
<?php get_header(); ?>

<div id="primary" class="content-area <?php echo esc_attr( apply_filters( 'educationpress_content_area_class', 'col-md-9' ) ); ?>">
	<main id="main" class="site-main">

		<?php do_action( 'learn_press_before_main_content' ); ?>

		<?php if ( apply_filters( 'learn_press_collections_show_page_title', true ) ) { ?>

			<h1 class="page-title">

				<?php learn_press_collections_page_title(); ?>

			</h1>

		<?php } ?>

		<?php do_action( 'learn_press_collections_archive_description' ); ?>

		<?php if ( have_posts() ) : ?>

			<?php do_action( 'learn_press_collections_before_loop' ); ?>

			<?php while ( have_posts() ) : the_post(); ?>

				<?php get_template_part( 'template-parts/content', get_post_format() );; ?>

			<?php endwhile; ?>

			<?php do_action( 'learn_press_collections_after_loop' ); ?>

		<?php endif; ?>

		<?php do_action( 'learn_press_after_main_content' ); ?>

	</main><!-- #main -->
</div><!-- #primary -->

<?php 
get_sidebar('course');
get_footer();