<?php
/**
 * Template for displaying add review form
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 1.0
 */

defined( 'ABSPATH' ) || exit();

?>
<button class="write-a-review btn btn-primary"><?php esc_html_e( 'Write a review', 'wp-education' ); ?></button>
<div class="course-review-wrapper" id="course-review">
	<div class="review-overlay"></div>
	<div class="review-form" id="review-form">
		<form>
			<h3>
				<?php esc_html_e( 'Write a review', 'wp-education' ); ?>
				<a href="" class="close dashicons dashicons-no-alt"></a>
			</h3>
			<ul class="review-fields">
				<?php do_action( 'learn_press_before_review_fields' ); ?>
				<li>
					<label><?php esc_html_e( 'Title', 'wp-education' ); ?> <span class="required">*</span></label>
					<input type="text" name="review_title" />
				</li>
				<li>
					<label><?php esc_html_e( 'Content', 'wp-education' ); ?><span class="required">*</span></label>
					<textarea name="review_content"></textarea>
				</li>
				<li>
					<label><?php esc_html_e( 'Rating', 'wp-education' ); ?><span class="required">*</span></label>
					<ul class="review-stars">
						<?php for ( $i = 1; $i <= 5; $i ++ ) { ?>
							<li class="review-title" title="<?php echo $i; ?>">
								<span class="dashicons dashicons-star-empty"></span></li>
						<?php } ?>
					</ul>
				</li>
				<?php do_action( 'learn_press_after_review_fields' ); ?>
				<li class="review-actions">
					<button type="button" class="submit-review btn btn-primary btn-lg" data-id="<?php the_ID(); ?>"><?php esc_html_e( 'Add review', 'wp-education' ); ?></button>
					<button type="button" class="close"><?php esc_html_e( 'Cancel', 'wp-education' ); ?></button>
					<span class="ajaxload"><?php esc_html_e( 'Please wait...', 'wp-education' ); ?></span>
					<span class="error"></span>
					<?php wp_nonce_field( 'learn_press_course_review_' . get_the_ID(), 'review-nonce' ); ?>
					<input type="hidden" name="rating" value="0">
					<input type="hidden" name="lp-ajax" value="add_review">
					<input type="hidden" name="comment_post_ID" value="<?php echo esc_attr( get_the_ID() ); ?>">
				</li>
			</ul>
		</form>
	</div>
</div>