<?php
/**
 * Template for displaying archive course content
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 1.0
 */

if ( !defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>

	<div id="primary" class="content-area <?php echo esc_attr( apply_filters( 'educationpress_content_area_class', 'col-md-9' ) ); ?>">

		<?php echo do_action( 'ep_before_course_archive_content' );?>

		<main id="main" class="site-main">

			<?php do_action( 'learn_press_before_main_content' ); ?>

			<?php do_action( 'learn_press_archive_description' ); ?>

			<?php if ( have_posts() ) : ?>

				<?php do_action( 'learn_press_before_courses_loop' ); ?>

				<div class="row">
					<?php while ( have_posts() ) : the_post(); ?>

						<?php learn_press_get_template_part( 'content', 'course' ); ?>

					<?php endwhile; ?>
				</div>

				<?php do_action( 'learn_press_after_courses_loop' ); ?>

			<?php else: ?>
				<div class="alert alert-danger" role="alert"><?php esc_html_e( 'No courses found.', 'wp-education' ); ?></div>
			<?php endif; ?>

			<?php do_action( 'learn_press_after_main_content' ); ?>

		</main><!-- #main -->

		<?php echo do_action( 'ep_after_course_archive_content' );?>

	</div><!-- #primary -->

<?php 
get_sidebar('course');
get_footer();