<?php
/**
 * User Information
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 1.0
 */

if ( !defined( 'ABSPATH' ) ) {
	exit;
}
global $wp_query;

$tabs         = learn_press_user_profile_tabs( $user );
$current      = learn_press_get_current_profile_tab();
$profile_link = learn_press_get_page_link( 'profile' );
$cuser        = learn_press_get_current_user();
if ( !empty( $tabs ) && !empty( $tabs[$current] ) ) : ?>
	<div class="col-lg-3 col-md-4">
		<div class="ep-user-wrapper">
			<div class="ep-user-details">
				<div class="ep-user-avatar">
					<?php echo get_avatar( $user->ID, 120 ); ?>			
				</div>
				<div class="ep-user-name-wrapper">
					<h4 class="ep-user-display-name"><?php echo get_the_author_meta( 'display_name', $user->ID ); ?></h4>
					<?php if( $job = get_the_author_meta( 'job', $user->ID ) ):?>
						<span class="ep-user-job"><?php echo $job; ?></span>
					<?php endif;?>
				</div>
			</div>

			<?php ep_get_instructor_social_icons( $user->ID ); ?>

			<?php if( $author_description = get_the_author_meta( 'description', $user->ID ) ):?>
				<div class="ep-user-bio">
					<?php echo $author_description; ?>			
				</div>
			<?php endif;?>

			<ul class="tabs learn-press-tabs clearfix ep-user-profile-menu">
				<?php foreach ( $tabs as $key => $tab ) : ?>
					<?php
					if ( !learn_press_current_user_can_view_profile_section( $key, $user ) ) {
						continue;
					}
					?>
					<li class="<?php echo esc_attr( $key ); ?>_tab<?php echo $current == $key ? ' current' : ''; ?>">
						<?php /*
						<?php if ( get_option( 'permalink_structure' ) ) : ?>

						<?php else: ?>
							<a href="<?php echo add_query_arg( array( 'user' => $user->user_login, 'tab' => $key ), learn_press_get_page_link( 'profile' ) ); ?>" data-slug="<?php echo add_query_arg( '', '', learn_press_get_page_link( 'profile' ) . $user->user_login ) . '/' . $key; ?>"><?php echo apply_filters( 'learn_press_profile_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
						<?php endif; ?>
			 			*/
						$link = learn_press_user_profile_link( $user->id, $key );
						?>
						<a href="<?php echo esc_url( $link ); ?>" data-slug="<?php echo esc_attr( $link ); ?>"><?php echo apply_filters( 'learn_press_profile_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
					</li>
				<?php endforeach; ?>

				<?php if ( $cuser->id == $user->ID ): ?>
					<li class="logout_tab"><a href="<?php echo esc_url( wp_logout_url() ); ?>"><i class="fa fa-sign-out" aria-hidden="true"></i><?php esc_html_e( 'Logout', 'wp-education' ) ?></a></li>
				<?php endif; ?>
			</ul>

			<?php do_action( 'ep_profile_after_user_info', $user, $current, $tabs  ) ?>
		</div>
	</div>
<?php endif; ?>