<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package educationpress
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('ep-article'); ?>>
	<figure>
		<?php if( has_post_thumbnail() ):?>
			<?php if ( !is_single() ) : ?>
				<a href="<?php the_permalink();?>">
					<?php the_post_thumbnail('educationpress-article-thumb')?>
				</a>
			<?php else: ?>
				<?php the_post_thumbnail('educationpress-article-thumb')?>
			<?php endif; ?>	
		<?php endif;?>
		<figcaption>
			<header class="entry-header">
				<?php
				if ( is_single() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif;

				if ( 'post' === get_post_type() ) : ?>
					<div class="entry-meta">
						<?php ep_wp_post_meta(); ?>
					</div><!-- .entry-meta -->
				<?php endif; ?>
			</header><!-- .entry-header -->

			<div class="entry-content">
				<?php
					if( is_single() ){
						the_content( sprintf(
							/* translators: %s: Name of current post. */
							wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'wp-education' ), array( 'span' => array( 'class' => array() ) ) ),
							the_title( '<span class="screen-reader-text">"', '"</span>', false )
						) );
					}else{
						the_excerpt();
					}

					if( function_exists('ep_bootstrap_link_pages') ){
						ep_bootstrap_link_pages( array(
							'before' => '<nav class="ep_theme_paignation ep-theme-page-links">' . esc_html__( 'Pages:', 'wp-education' ) . '<ul class="pager">',
							'after'  => '</ul></nav>',
						) );
					}else{
						wp_link_pages( array(
							'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wp-education' ),
							'after'  => '</div>',
						) );
					}
				?>
			</div><!-- .entry-content -->

			<footer class="entry-footer clearfix">
				<?php educationpress_entry_footer(); ?>
			</footer><!-- .entry-footer -->
		</figcaption>
	</figure>
</article><!-- #post-## -->
